<div class="component-correct-width">
  <div class="flex-container admin-user-header" fxLayout fxLayout.xs="column" fxLayoutWrap="wrap">
    <div fxFlex="50" class="bigger-font">
      User Account Settings
    </div>
    <div fxFlex="39" fxLayoutAlign="end center">
      <button md-raised-button color="accent" routerLink="/admin/settings">Global Settings</button>
    </div>
    <div fxFlex="11" fxLayoutAlign="end center">
      <button md-raised-button color="accent" routerLink="/admin">Back to User List</button>
    </div>
  </div>

  <md-spinner *ngIf="loading" class="big-spinner"></md-spinner>

  <div *ngIf="loading === false" class="admin-user-component">
    <md-card class="admin-card">
      <md-card-title class="flex-container admin-user-header" fxLayout fxLayout.xs="column" fxLayoutWrap="wrap">
        <div fxFlex="30">
          Profile Details
        </div>
        <div fxFlex="70" fxLayoutAlign="end center">
          <app-approve [(inputUser)]="userApprove"></app-approve>
        </div>
      </md-card-title>
      <hr class="red-line">

      <md-card-content>
        <app-profile [(userUpdateData)]="userUpdate" (userUpdateDataChange)="handleUpdateData()" (formStateOutput)="handleformState($event)"
          [id]="id" [cameFromAdmin]="true" (picChanged)="handlePicChanged()">

        </app-profile>
      </md-card-content>

      <md-card-actions>
        <div class="flex-container admin-user-header" fxLayout fxLayout.xs="column" fxLayoutWrap="wrap">
          <div fxFlex="10" fxLayoutAlign="end center">
            <button [disabled]="disableSubmit" md-raised-button color="accent" (click)="onSubmit()">Save Changes</button>
          </div>
          <div fxFlex="4" fxLayoutAlign="end center">
            <md-spinner class="spinner-small" *ngIf="showSmallSpinner"></md-spinner>
          </div>
          <div fxFlex="8" fxLayoutAlign="end center" class="bigger-font">
            <div *ngIf="showSmallSpinner">Processing...</div>
          </div>
          <div fxFlex="77" fxLayoutAlign="end center">
            <button [disabled]="!userApprove.user.approved" md-raised-button color="accent" (click)="emailResetPwd()">Reset Password</button>
          </div>
        </div>
      </md-card-actions>

    </md-card>
  </div>
</div>
